%define version          1.9.1
%define rel              2
%define sourcename       check_ssl_cert
%define packagename      nagios-%{sourcename}
%define nagiospluginsdir %{_libdir}/nagios/plugins

Summary:   A Nagios plugin to check X.509 certificates
Name:      %{packagename}
Version:   %{version}
Release:   %mkrel %rel
License:   GPLv3+
Group:     Networking/Other
URL:       https://trac.id.ethz.ch/projects/nagios_plugins/wiki/check_ssl_cert
Source:    https://trac.id.ethz.ch/projects/nagios_plugins/downloads/%{sourcename}-%{version}.tar.gz
BuildArch: noarch

%description
Checks an X.509 certificate:
 - checks if the server is running and delivers a valid certificate
 - checks if the CA matches a given pattern
 - checks the validity

%prep
%setup -q -n %{sourcename}-%{version}

%install
make DESTDIR=%{buildroot}%{nagiospluginsdir} MANDIR=%{buildroot}%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS README INSTALL TODO COPYING VERSION COPYRIGHT
%attr(0755, root, root) %{nagiospluginsdir}/check_ssl_cert
%{_mandir}/man1/%{sourcename}.1*



%changelog
* Sun May 15 2011 pterjan <pterjan> 1.9.1-2.mga1
+ Revision: 98936
- Rebuild for fixed find-requires

* Thu Apr 21 2011 nanardon <nanardon> 1.9.1-1.mga1
+ Revision: 89382
- imported package nagios-check_ssl_cert

